Installing ActiveReports 6 on clean PC

Posted by: william on 20 January 2019, 11:39 am EST

  • Posted 20 January 2019, 11:39 am EST

    Hi

    I've upgraded my PC and reloaded Windows and all my development tools. I only have VS2017 installed with my 3rd party components and other development tools. I tried to install ActiveReports 6 now since I haven't phased it out of my applications completely, but when I run the installation, I'm getting an error saying that "No compatible version of Visual Studio.NET found on system.".

    How can I get past this error or install it another way without installing an old Visual Studio version on my clean PC?
  • Replied 20 January 2019, 4:19 pm EST


    Hello,

    I would like to inform you that ActiveReports 6 was released way before VisualStudio 2017 and so, it has no idea about how to integrate with VS2017 IDE. The support of VS2017 was introduced after AR11 SP2 and using the same with AR6 is not possible.
    You need to have VS 2005/2008/2010 to install AR6. Please see the requirements page for more info:http://help.grapecity.com/activereports/webhelp/Legacy/ActiveReports6/webframe.html

    Regards,
    Esha

  • Replied 22 January 2019, 9:18 am EST

    Ok, it seems that my application is compiling without issues even without AR6 installed. I suppose it is referencing the assemblies that were copied to the local folder. If that's the case, then I don't need AR6 installed. Just hope that I don't run into license issues when running it after deployment.
  • Replied 22 January 2019, 9:35 am EST

    Ok, never mind. I have red text at the bottom of my reports saying that I'm using the evaluation version. Is there any way I can license AR6 on my PC without having to install it?
  • Marked as Answer

    Replied 22 January 2019, 8:18 pm EST

    Hello William,

    We have responded to your concern on SupportOne ticket 363238 to ensure that sensitive information is not shared on the forums.
    Kindly respond to the same thread to avoid confusion.

    Thanks and Regards,
    Esha
  • Replied 19 February 2020, 5:13 am EST

    Hi!

    I am facing the same issue with the installation of ActiveReports6 on a Windows 10 + Visual Studio 2013 environment. Can you help me?

    Regards,

    Rubens
  • Replied 19 February 2020, 4:47 pm EST

    Hello,

    I would like to inform you that ActiveReports 6 was released way before VisualStudio 2013 and so, it has no idea about how to integrate with VS2013 IDE. The support of VS2013 was introduced after AR8 and using the same with AR6 is not possible.
    You need to have VS 2005/2008/2010 to install AR6. Please see the requirements page for more info:http://help.grapecity.com/activereports/webhelp/Legacy/ActiveReports6/webframe.html

    Also, please note that AR6 is out of development mode now and we don't support it. I suggest you to upgrade to our latest version i.e AR14. For more information, you can refer the following link:
    https://www.grapecity.com/activereports
    https://www.grapecity.com/activereports/docs/v14/online/overview.html

    Also, you can download the trial version of AR14 from the following link:
    https://www.grapecity.com/download/activereports


    Thanks,
    Mohit
Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels